/*
 * MAC 323 - 2003
 * Exemplo de "applet": classe grfica, invocada tanto de Frame como de Applet
 * - Graphics; Applet; Frame [addWindowListener]
 */

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

// Desenha um tringulo
class MeuPoligono{
  Graphics g;
  int x1, x2, x3, y1, y2, y3;
   
  MeuPoligono ( ) { // 3 vrtices do tringulo
    x1=10; y1=10; x2=170; y2=10; x3=90; y3=170;
    }

  public void DesenhaPoligono(Graphics g){
    g.setColor(Color.red);
    g.drawLine(x1,y1,x2,y2); // linha 1: cor vermelha
    g.setColor(Color.blue);
    g.drawLine(x1,y1,x3,y3); // linha 1: cor azul
    g.setColor(Color.yellow);
    g.drawLine(x2,y2,x3,y3); // linha 1: cor amarela
    }        
}


public class poligono extends Applet {
  MeuPoligono Figura;
  boolean eh_applet = false;
  janelaFecha Fjanela;


  // Frame que permite fechar com clique no X
  class janelaFecha extends Frame {
    public janelaFecha () { 
      // msg serve para notar que este "listener"  carregado durante a criao da classe "janelaFecha"
      System.out.println("Carregou o \"listener\" para finalizar o aplicativo"); 
      addWindowListener(new WindowAdapter() { public void windowClosing(WindowEvent e) { System.exit(0); } } );
      }
  }

  // Para verso aplicativo
  public static void main (String args[]) {
    poligono pol = new poligono();
    pol.criaPoligono();
  }


  public void criaPoligono () { // s  chamado se no for applet
    Fjanela = new janelaFecha();
    Figura = new MeuPoligono();
    Fjanela.add(this); // incorpora class poligono, com sua classe MeuPoligono (Figura)
    Fjanela.setSize(200,200);
    Fjanela.show();
    }
  
  public void paint (Graphics g){
    setBackground(new Color(64, 192, 128) ); // cria uma nova cor
    // Opes de cores existentes
    //black,white,red,green,blue,cyan,yellow,orange,pink,gray,magenta,darkGray,lightGray
    Figura.DesenhaPoligono(g);
    }

  public void init (){  // Mtodo de inicializao da applet
    eh_applet = true;  // sinaliza se tratar de um applet
    System.out.println(" applet");
    Figura = new MeuPoligono();
    }

}
